Wrong layer order in generated Mapfile
Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11173

Description

The order of layers in the generated mapfile don't refer to the order in the QGIS project. I tried if they are ordered according to the order

layers have been added into the project, but they are not. The simplest test I made was with one RASTER layer and one [[PostGIS]]

polygon layer. Raster layer have been above the polygon layer no matter what I tried to do.

History

#1 - 2008-06-02 07:32 PM - Gary Sherman

Make sure you are using the mapserver exporter shipped with 0.10.0 and not the plugin downloaded from the repository.

#2 - 2008-06-04 01:18 AM - str238 -

The only thing I did was to install the Windows binary and enable the [[MapServer]] Export plugin. You can see the current behavior here 

http://artegis.cz/demo/qgis/orderBug.htm

#3 - 2008-07-16 07:19 AM - Maciej Sieczka -

How does the issue look in QGIS 0.11? You can obtain it's Windows installer preview at:

http://gigamaildownload.rossoalice.alice.it/download/download.aspx?AttachmentID=2716cab8-980a-45c8-9e9c-8ff538f973e2&MessageID=4602

d09e-2a74-48e1-a167-644cb19b13fb

#4 - 2008-10-16 10:28 PM - Tim Sutton

- Resolution set to worksforme

- Status changed from Open to Closed

Closing as works for me - tested here on commit:014fe9a9 (SVN r9485) and works fine on ubuntu 8.10.

#5 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
